> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reqlick.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve clicks analytics

> Retrieve a clicks analytics for the authenticated workspace.



## OpenAPI

````yaml GET /workspaces/{url}/analytics/clicks
openapi: 3.0.0
info:
  title: Reqlick API
  version: 1.0.0
  description: Reqlick API Documentation
servers:
  - url: https://api.reqlick.com
security:
  - bearerAuth: []
tags:
  - name: Documents
    description: Documents management
  - name: Domains
    description: Domains management
  - name: GoogleAuth
    description: Google Authentication
  - name: Links
    description: Links management
  - name: Payments
    description: Payments management
  - name: QRCodes
    description: QR Codes management
  - name: Resources
    description: Resources management
  - name: Subscriptions
    description: Subscription management
  - name: Users
    description: User management and authentication
  - name: Workspaces
    description: Workspaces management
paths:
  /workspaces/{url}/analytics/clicks:
    get:
      tags:
        - Workspaces
      summary: Get workspace clicks and analytics
      parameters:
        - name: url
          in: path
          required: true
          schema:
            type: string
        - name: linkId
          in: query
          required: false
          schema:
            type: string
            format: string
        - name: documentId
          in: query
          required: false
          schema:
            type: string
            format: string
        - name: startDate
          in: query
          required: false
          schema:
            type: string
            format: date
        - name: endDate
          in: query
          required: false
          schema:
            type: string
            format: date
      responses:
        '200':
          description: Successfully retrieved workspace clicks and analytics data
          content:
            application/json:
              schema:
                type: object
                properties:
                  clicks:
                    type: integer
                    example: 51
                  uniqueVisitorCount:
                    type: integer
                    example: 22
                  chartdata:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          example: Jun 01
                        Unique_visitors:
                          type: integer
                          example: 9
                        Page_views:
                          type: integer
                          example: 12
                        newVisitors:
                          type: integer
                          example: 9
                        returnVisitors:
                          type: integer
                          example: 3
        '401':
          description: Authentication Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Authentication Error
                  feedback:
                    type: string
                    example: You are unauthenticated!
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````